Loading...
Searching...
No Matches
PolynomialUtils.hpp File Reference

Provides free functions to invert polynomials of degree 1, 2 and 3. More...

`#include <cmath>`
`#include <algorithm>`
`#include <opm/material/common/MathToolbox.hpp>`

Go to the source code of this file.

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Functions

template<class Scalar, class SolContainer>
unsigned | Opm::invertLinearPolynomial (SolContainer &sol, Scalar a, Scalar b)
| Invert a linear polynomial analytically.
template<class Scalar, class SolContainer>
unsigned | Opm::invertQuadraticPolynomial (SolContainer &sol, Scalar a, Scalar b, Scalar c)
| Invert a quadratic polynomial analytically.
template<class Scalar, class SolContainer>
unsigned | Opm::invertCubicPolynomial (SolContainer *sol, Scalar a, Scalar b, Scalar c, Scalar d)
| Invert a cubic polynomial analytically.
template<class Scalar, class SolContainer>
unsigned | Opm::cubicRoots (SolContainer *sol, Scalar a, Scalar b, Scalar c, Scalar d)
| Invert a cubic polynomial analytically.

## Detailed Description

Provides free functions to invert polynomials of degree 1, 2 and 3.